Last Comment Bug 688681 - Patch for bug 674321 disabled most of our bfcache tests, and probably various other docshell tests
: Patch for bug 674321 disabled most of our bfcache tests, and probably various...
Status: RESOLVED FIXED
[qa-]
: regression
Product: Core
Classification: Components
Component: Document Navigation (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla9
Assigned To: Boris Zbarsky [:bz] (still a bit busy)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: 674321 675201 816065
  Show dependency treegraph
 
Reported: 2011-09-22 19:22 PDT by Boris Zbarsky [:bz] (still a bit busy)
Modified: 2012-11-28 05:25 PST (History)
8 users (show)
jruderman: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Back out and fix an issue with Cc not being defined that prevented the test window from closing (3.60 KB, patch)
2011-09-22 19:27 PDT, Boris Zbarsky [:bz] (still a bit busy)
no flags Details | Diff | Splinter Review
Back out and fix an issue with Cc not being defined that prevented the test window from closing (3.63 KB, patch)
2011-09-22 19:31 PDT, Boris Zbarsky [:bz] (still a bit busy)
khuey: review+
asa: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Boris Zbarsky [:bz] (still a bit busy) 2011-09-22 19:22:11 PDT
Backout patch coming up.
Comment 1 Boris Zbarsky [:bz] (still a bit busy) 2011-09-22 19:27:36 PDT
Created attachment 561956 [details] [diff] [review]
Back out  and fix an issue with Cc not being defined that prevented the test window from closing
Comment 2 Boris Zbarsky [:bz] (still a bit busy) 2011-09-22 19:30:42 PDT
Note to self: we'll need this on Aurora too.
Comment 3 Boris Zbarsky [:bz] (still a bit busy) 2011-09-22 19:31:04 PDT
Created attachment 561957 [details] [diff] [review]
Back out  and fix an issue with Cc not being defined that prevented the test window from closing
Comment 4 Joel Maher ( :jmaher) 2011-09-23 06:04:24 PDT
I uploaded a patch to bug 677002 which fixes the chrome tests which use snapshotWindow.
Comment 5 Boris Zbarsky [:bz] (still a bit busy) 2011-09-23 08:55:52 PDT
This bug isn't about snapshotWindow....
Comment 6 Boris Zbarsky [:bz] (still a bit busy) 2011-09-23 09:28:49 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/95015f02ddc7
Comment 7 Boris Zbarsky [:bz] (still a bit busy) 2011-09-23 09:30:22 PDT
Comment on attachment 561957 [details] [diff] [review]
Back out  and fix an issue with Cc not being defined that prevented the test window from closing

Asking for aurora approval to restore test coverage there.
Comment 9 Asa Dotzler [:asa] 2011-09-27 14:28:29 PDT
Comment on attachment 561957 [details] [diff] [review]
Back out  and fix an issue with Cc not being defined that prevented the test window from closing

approving for beta.
Comment 10 Boris Zbarsky [:bz] (still a bit busy) 2011-09-28 09:43:11 PDT
https://hg.mozilla.org/releases/mozilla-beta/rev/e9c3ad994064
Comment 11 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-10-13 11:20:33 PDT
qa- as nothing to do for QA fix verification -- please set to qa+ if this is not the case.
Comment 12 Jesse Ruderman 2011-10-20 14:53:44 PDT
There are vague plans to make unexpected JS exceptions count as failures (bug 657485, bug 687977).

Note You need to log in before you can comment on or make changes to this bug.